	NOLIST

; tasti base
KB_TAB			EQU		0x09		; TAB
KB_CR			EQU		0x0D		; ENTER
KB_ESCAPE		EQU		0x1B		; ESCAPE

; codici di controllo

; tasti speciali
KB_SHIFTPRT			EQU		0x01
KB_ALTPRT			EQU		0x02
KB_CTLPRT			EQU		0x03
KB_ALTCTLPRT		EQU		0x04
KB_SHIFTHOME		EQU		0x05
KB_ALTHOME			EQU		0x06
KB_CTLHOME			EQU		0x07
KB_ALTCTLHOME		EQU		0x08
KB_SHIFTINS			EQU		0x09
KB_ALTINS			EQU		0x0A
KB_CTLINS			EQU		0x0B
KB_ALTCTLINS		EQU		0x0C
KB_SHIFTPGUP		EQU		0x0D
KB_ALTPGUP			EQU		0x0E
KB_CTLPGUP			EQU		0x0F
KB_ALTCTLPGUP		EQU		0x10
KB_SHIFTPGDWN		EQU		0x11
KB_ALTPGDWN			EQU		0x12
KB_CTLPGDWN			EQU		0x13
KB_ALTCTLPGDWN		EQU		0x14
KB_SHIFTEND			EQU		0x15
KB_ALTEND			EQU		0x16
KB_CTLEND			EQU		0x17
KB_SHIFTDEL			EQU		0x18
KB_ALTDEL			EQU		0x19
KB_CTLDEL			EQU		0x1A
KB_SHIFTBKS			EQU		0x1B
KB_ALTBKS			EQU		0x1C
KB_CTLBKS			EQU		0x1D

KB_ALTESC			EQU		0x1E
KB_CTLESC			EQU		0x1F
KB_ALTTAB			EQU		0x20
KB_CTLTAB			EQU		0x21
KB_ALTCTLTAB		EQU		0x22
KB_ALTPLUS			EQU		0x23
KB_CTLPLUS			EQU		0x24
KB_ALTCTLPLUS		EQU		0x25
KB_ALTMINUS			EQU		0x26
KB_CTLMINUS			EQU		0x27
KB_ALTCTLMINUS		EQU		0x28

; tasti NMI
KB_ALTCTLEND		EQU		0x80		; NMI
KB_ALTCTLDEL		EQU		0x81		; NMI
KB_ALTCTLBKS		EQU		0x82		; NMI
KB_CTRLBREAK		EQU		0x83		; CTRL + BREAK (NMI)
KB_ALTSYSREQ		EQU		0x84		; ALT + SYS REQ (NMI)
KB_WAKE				EQU		0x85		; WAKE UP (se presente) (NMI)
KB_SLEEP			EQU		0x86		; SLEEP (se presente) (NMI)
KB_PWR				EQU		0x87		; POWER (se presente) (NMI)
KB_ALTCTLESC		EQU		0x88


; ALT 0..9        -> 30..39
; CTRL 0..9       -> 40..49
; CTRL + ALT 0..9 -> 50..59

; 60 - 7F -> ALT @ ....

; tasti speciali e tasti cursore
KB_RIGHTGUI		EQU		0x80		; RIGHT GUI
KB_LEFTGUI		EQU		0x81		; LEFT GUI
KB_GUIMENU		EQU		0x82		; MENU GUI
KB_PRTSCN		EQU		0x83		; PRINT SCRN
KB_CSRUP		EQU		0x84		; CURSOR UP
KB_HOME			EQU		0x85		; CURSOR HOME
KB_INSERT		EQU		0x86		; INSERT
KB_CSRRIGHT		EQU		0x87		; CURSOR RIGHT
KB_PGUP			EQU		0x88		; PAGE UP
KB_SHTAB		EQU		0x89		; SHIFT + TAB
KB_PGDOWN		EQU		0x8A		; PAGE DOWN
KB_CSRDOWN		EQU		0x8B		; CURSOR DOWN
KB_END			EQU		0x8C		; END
KB_SHCR			EQU		0x8D		; SHIFT + ENTER
KB_DELETE		EQU		0x8E		; DELETE
KB_CSRLEFT		EQU		0x8F		; CURSOR LEFT
KB_BACKSPACE	EQU		0x90		; BACKSPACE

; tasti funzione fino a FF
	;						FX -> A0..AB
	; SHIFT +				FX -> AC..B7
	; CTL	+				FX -> B8..C3
	; ALT	+				FX -> C4..CF
	; CTL + SHIFT +			FX -> D0..DB
	; CTL + ALT	 +			FX -> DC..E7
	; ALT + SHIFT +			FX -> E8..F3
	; CTL + ALT + SHIFT	+	FX -> F4..FF
KB_F1			EQU		0xA0
KB_F2			EQU		0xA1
KB_F3			EQU		0xA2
KB_F4			EQU		0xA3
KB_F5			EQU		0xA4
KB_F6			EQU		0xA5
KB_F7			EQU		0xA6
KB_F8			EQU		0xA7
KB_F9			EQU		0xA8
KB_F10			EQU		0xA9
KB_F11			EQU		0xAA
KB_F12			EQU		0xAB


;KB_ALTESC	.EQU	$F9
;KB_CTRLESC	.EQU	$FA
;KB_ALTTAB	.EQU	$FB
;KB_CTRLTAB	.EQU	$FC
;KB_ALTPLUS	.EQU	$FD
;KB_CTRLPLUS	.EQU	$FE
;KB_CTRLALTBS	.EQU	$FF

; codice tasti limite come ritornati dalla tabella CVTTBL
CAPSCODE		EQU		0x06		; codice tasto CAPS-LOCK
PAUSECODE		EQU		0x09		; codice tasto PAUSE
CRCODE			EQU		0x0A		; codice tasto ENTER
KPBARCODE		EQU		0x10		; codice '/' tastierino numerico
CBRKCODE		EQU		0x16		; codice CTRL+BREAK
SYSCODE			EQU		0x17		; codice ALT + SYS REQ
WAKECODE		EQU		0x18
PRTCODE			EQU		0x1E		; codice tasto PRINT SCRN
ESCCODE			EQU		0x1F		; codice tasto ESCAPE
KP0CODE			EQU		0x20		; codice '0' tastierino numerico
INSCODE			EQU		0x2B		; codice tasto INSERT
FNCCODE			EQU		0x36		; codice tasto F1
MAPCODE			EQU		0x42		; codice tasti mappa US/IT
MAPCODEMAX		EQU		0x56		; codice max. mappe US/IT
NVCODE			EQU		0x60		; limite codice non valido

; lunghezza tabella tasti cursore
CRSLEN			EQU		(FNCCODE - INSCODE)

ALTKEY0			EQU		0x30
CTLKEY0			EQU		0x40
ALTCTLKEY0		EQU		0x50
			
	LIST
